org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_HBOXNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_HBOXNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_HBOXNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_HBOXNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_HBOXNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindAlignitems(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindDirection(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindDisplayinline(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindFitcontainer(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindHeight(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindJustifycontent(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindRendertype(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_HBOXNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_HBOXNode` | `setAlignitems(java.lang.String value)`
    `UI5M_HBOXNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_HBOXNode` | `setComment(java.lang.String value)`
    `UI5M_HBOXNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_HBOXNode` | `setDirection(java.lang.String value)`
    `UI5M_HBOXNode` | `setDisplayinline(boolean value)`
    `UI5M_HBOXNode` | `setDisplayinline(java.lang.String value)`
    `UI5M_HBOXNode` | `setFitcontainer(boolean value)`
    `UI5M_HBOXNode` | `setFitcontainer(java.lang.String value)`
    `UI5M_HBOXNode` | `setHeight(int value)`
    `UI5M_HBOXNode` | `setHeight(java.lang.String value)`
    `UI5M_HBOXNode` | `setId(java.lang.String value)`
    `UI5M_HBOXNode` | `setJustifycontent(java.lang.String value)`
    `UI5M_HBOXNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_HBOXNode` | `setReference(java.lang.String value)`
    `UI5M_HBOXNode` | `setRendered(boolean value)`
    `UI5M_HBOXNode` | `setRendered(java.lang.String value)`
    `UI5M_HBOXNode` | `setRendertype(java.lang.String value)`
    `UI5M_HBOXNode` | `setStyleseq(java.lang.String value)`
    `UI5M_HBOXNode` | `setStylevariant(java.lang.String value)`
    `UI5M_HBOXNode` | `setWidth(int value)`
    `UI5M_HBOXNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_HBOXNode

          public UI5M_HBOXNode()

  - ### Method Detail

    - #### setId

          public UI5M_HBOXNode setId(java.lang.String value)

    - #### setAdapterbinding

          public UI5M_HBOXNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_HBOXNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlignitems

          public UI5M_HBOXNode setAlignitems(java.lang.String value)

    - #### bindAlignitems

          public UI5M_HBOXNode bindAlignitems(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_HBOXNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5M_HBOXNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_HBOXNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_HBOXNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_HBOXNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDirection

          public UI5M_HBOXNode setDirection(java.lang.String value)

    - #### bindDirection

          public UI5M_HBOXNode bindDirection(IDynamicContentBindingObject value)

    - #### setDisplayinline

          public UI5M_HBOXNode setDisplayinline(java.lang.String value)

    - #### bindDisplayinline

          public UI5M_HBOXNode bindDisplayinline(IDynamicContentBindingObject value)

    - #### setDisplayinline

          public UI5M_HBOXNode setDisplayinline(boolean value)

    - #### setFitcontainer

          public UI5M_HBOXNode setFitcontainer(java.lang.String value)

    - #### bindFitcontainer

          public UI5M_HBOXNode bindFitcontainer(IDynamicContentBindingObject value)

    - #### setFitcontainer

          public UI5M_HBOXNode setFitcontainer(boolean value)

    - #### setHeight

          public UI5M_HBOXNode setHeight(java.lang.String value)

    - #### bindHeight

          public UI5M_HBOXNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public UI5M_HBOXNode setHeight(int value)

    - #### setJustifycontent

          public UI5M_HBOXNode setJustifycontent(java.lang.String value)

    - #### bindJustifycontent

          public UI5M_HBOXNode bindJustifycontent(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_HBOXNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_HBOXNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_HBOXNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_HBOXNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_HBOXNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_HBOXNode setRendered(boolean value)

    - #### setRendertype

          public UI5M_HBOXNode setRendertype(java.lang.String value)

    - #### bindRendertype

          public UI5M_HBOXNode bindRendertype(IDynamicContentBindingObject value)

    - #### setStyleseq

          public UI5M_HBOXNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_HBOXNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_HBOXNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_HBOXNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_HBOXNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_HBOXNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_HBOXNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.